Subject: Re:bash script Q
From: David Starks-Browning <[email-masked]>
To: "Gupta, Sanjay" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Sat, 6 Apr 2002 09:15:38 +0100

Unless there is something Cygwin-specific to your question here, I
would point out that this is off-topic for this list, and ask you to
take your shell programming questions elsewhere.

Thanks,
David

On Friday 5 Apr 02, Gupta, Sanjay writes:
> I assuming that I am reading all files from /tmp/ directory
> 
> for File in /tmp/*
> do
>    ## Check, if it is a File
>    if [ -f $File ] ; then
>      ## Yes, it is a file
>      ## Get the basename and cut two characters
>       TWOBYTES=`basename $File | cut -b1,2`
>       if  [ "$TWOBYTES"  = "%!" ] ; then
>           echo "File Name Valid"
>       else
>                   echo "File Name Not Valid"
>       fi
>    else
>       ## This is a directory
>       ## I do not know what you want to do here , put your code here.
>    fi
> done
> 
> 
> 
> 
> Hi,
> 	anyone point me to the best bash script option for checking the
> first 2
> characters of all the files in a directory?
> 
> logic of the script is
> 
> for each file in directory
> 	test if the first 2 chars are "%!"
> 		print Filename	valid
> 	if not
> 		print Filename	not valid
> 
> 
> Does magic do something like this ?
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/